### Hierarchy

- unknown
  - GetPeersRequest

## Index

### Constructors

- constructor

### Methods

- addReportedPeers
- addSupportedCapabilities
- clearReportedPeersList
- clearSenderNodeAddress
- clearSupportedCapabilitiesList
- getNonce
- getReportedPeersList
- getSenderNodeAddress
- getSupportedCapabilitiesList
- hasSenderNodeAddress
- serializeBinary
- setNonce
- setReportedPeersList
- setSenderNodeAddress
- setSupportedCapabilitiesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetPeersRequest(): GetPeersRequest

- Inherited from jspb.Message.constructor

  #### Returns GetPeersRequest

## Methods

### addReportedPeers

- addReportedPeers(value?: Peer, index?: number): Peer

- - Defined in src/protobuf/pb_pb.d.ts:496

  #### Parameters

  - ##### Optional value: Peer

  - ##### Optional index: number

  #### Returns Peer

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:491

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns GetPeersRequest

### clearReportedPeersList

- clearReportedPeersList(): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:495

  #### Returns GetPeersRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:483

  #### Returns GetPeersRequest

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:490

  #### Returns GetPeersRequest

### getNonce

- getNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:485

  #### Returns number

### getReportedPeersList

- getReportedPeersList(): Peer []

- - Defined in src/protobuf/pb_pb.d.ts:493

  #### Returns Peer []

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:480

  #### Returns undefined | NodeAddress

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:488

  #### Returns number[]

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:482

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:498

  #### Returns Uint8Array

### setNonce

- setNonce(value: number): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:486

  #### Parameters

  - ##### value: number

  #### Returns GetPeersRequest

### setReportedPeersList

- setReportedPeersList(value: Peer []): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:494

  #### Parameters

  - ##### value: Peer []

  #### Returns GetPeersRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:481

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns GetPeersRequest

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:489

  #### Parameters

  - ##### value: number[]

  #### Returns GetPeersRequest

### toObject

- toObject(includeInstance?: boolean): GetPeersRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:499

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetPeersRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:502

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPeersRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPeersRequest, reader: BinaryReader): GetPeersRequest

- - Defined in src/protobuf/pb_pb.d.ts:503

  #### Parameters

  - ##### message: GetPeersRequest

  - ##### reader: BinaryReader

  #### Returns GetPeersRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPeersRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:501

  #### Parameters

  - ##### message: GetPeersRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetPeersRequest ): GetPeersRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:500

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPeersRequest

  #### Returns GetPeersRequest . AsObject

Generated using TypeDoc